Skip to main content

GET /ips/stats/aggregated

GET 

ips/stats/aggregated

Retrieve aggregated blocklist and reputation statistics for all monitored IP addresses

Query Parameters

profile_id string
Filter results by profile ID

ip string
Filter results by an IP substring

rdns string
Filter results by a reverse DNS (rDNS) hostname substring

rbl_hosts string
Filter results by RBL lookup host (rbl_result.lookup_host). Multiple values can be provided as a comma-separated list. Example: ynip.rothen.com,bl.spamcop.net. Available host names can be retrieved from GET /api/v1.0/epc/rbl_dictionary?type=ips

netmask string
Filter results by netmask

blacklisted boolean
Filter results to include only IPs that are currently blacklisted

wrong_rdns boolean
Filter results to include only IPs with an incorrect or missing reverse DNS (rDNS) record

Returns

  • dataobject
    Aggregated counts of IP addresses
    • totalinteger
      Total number of IP addresses
    • wrong_rdnsinteger
      Number of IPs with a missing or incorrect reverse DNS record
    • blacklistedinteger
      Number of IPs currently listed on at least one RBL
Error Codes

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

500 Internal Server Error

Internal server error